%global __python %{__python3}
Name:           vulkan-headers
Version:        1.3.261.0
Release:        1
Summary:        Vulkan Header files and API registry
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Headers
Source0:        https://github.com/KhronosGroup/Vulkan-Headers/archive/refs/tags/Vulkan-Headers-sdk-%{version}.tar.gz
BuildRequires:  cmake3

BuildArch:      noarch

%description
Vulkan is a new generation graphics and compute API that provides high-efficiency, cross-platform
access to modern GPUs used in a wide variety of devices from PCs and consoles to mobile phones
and embedded platforms.
This package includes Vulkan Header files and API registry.

%prep
%autosetup -n Vulkan-Headers-sdk-%{version} -p1

%build
%cmake3 -DCMAKE_INSTALL_LIBDIR=%{_libdir} .
%make_build

%install
%make_install

%files
%doc README.md
%dir %{_datadir}/vulkan/
%{_datadir}/vulkan/registry/
%{_includedir}/vulkan/
%{_includedir}/vk_video/
%{_datadir}/cmake/VulkanHeaders/

%changelog
* Thu Aug 24 2023 dillon chen <dillon.chen@gmail.com> - sdk-1.3.261.0-1
- Update to sdk-1.3.261.0

* Fri Jul 21 2023 dillon chen <dillon.chen@gmail.com> - 1.3.257-1
- github tag is 1.3.257 

* Tue Jul 11 2023 yaoxin <yao_xin001@hoperun.com> - 1.3.257.0-1
- Update to 1.3.257.0

* Wed Jan 08 2020 zhouyihang <zhouyihang1@huawei.com> - 1.1.92.0-2
- Package init
